Assign printer to store and add an event type
Assign an event type to a printer and store
Required permissions: PRINTER
post/tenants/{tenantUid}/stores/{storeUid}/printers
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
printerUidstringRequiredPattern:
^[A-Za-z0-9-_]+eventTypestring Ā· enumRequiredPossible values:
storePrinterUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
201
Example response
application/json
eventTypestring Ā· enumRequiredPossible values:
storePrinterUidstringRequiredPattern:
^[A-Za-z0-9-_]+post/tenants/{tenantUid}/stores/{storeUid}/printers
POST /v2/tenants/{tenantUid}/stores/{storeUid}/printers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 73
{
"printerUid": "text",
"eventType": "PICKUP_LABEL",
"storePrinterUid": "text"
}201
Example response
{
"store": {
"name": "text",
"storeUid": "text",
"organizationUid": "text",
"organizationName": "text"
},
"printer": {
"printerUid": "text",
"name": "text",
"type": "LABEL",
"availablePrintActions": [
"RECEIPT"
]
},
"eventType": "PICKUP_LABEL",
"storePrinterUid": "text"
}Last updated
Was this helpful?

